<!DOCTYPE html>
<html>
  <head>
    <title>Video Tutorials</title>
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag "application", "data-turbo-track": "reload" %>
  </head>

  <body>
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
      <a class="navbar-brand" href='#'>Video Tutorials</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon" />
      </button>
      <div class="collapse navbar-collapse">
        <ul class="navbar-nav mr-auto">
          <li class="nav-item">
            <a class="nav-link" href="/">Home</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/creators-portal">Creator's Portal</a>
          </li>
        </ul>
        <ul class="navbar-nav">
          <li class="nav-item">
            <a class="nav-link" href="/register">Register</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/auth/log-in">Log In</a>
          </li>
          <!--
          When we figure out how to tell if the user is logged in:
          if context.userId
            li.nav-item
              a.nav-link(href='/auth/log-out') Log out
          else
            -->
        </ul>
      </div>
    </nav>
    <div class="container">
      <div style="margin-top: 30px">
        <%= yield %>
      </div>
    </div>
    <%= javascript_include_tag "jquery-3.2.1.slim.min" %>
    <%= javascript_include_tag "popper.min" %>
    <%= javascript_include_tag "bootstrap.bundle.min" %>
  </body>
</html>

<!--
  block behavior
  -->
